function dateOnChangeAction(id){
    var val = replaceHalfAngle($("#" + id).val());
    if(val == null || val.trim() == ""){
        return;
    }
    $("#" + id).val(formatDate(val.trim()));
}

function formatDate(dateString){
    var pos = dateString.indexOf("/");
    if(pos < 0){
        return formatDate1(dateString);
    }else{
        return formatDate2(dateString);
    }
}

function formatDate1(dateString){
    var len = dateString.length;
    var year;
    var month;
    var day;
    if (dateString == "" || isNaN(dateString)) return dateString;
    if(len == 6){
        year = dateString.substring(0,4);
        month = dateString.substring(4,6);
        day = "01";
    }else if(len == 8){
        year = dateString.substring(0,4);
        month = dateString.substring(4,6);
        day = dateString.substring(6,8);
    }else{
        return dateString;
    }
    return year + "/" + month + "/" + day;
}

function formatDate2(dateString){
    var year;
    var month;
    var day;
    var arry = dateString.split("/");
    if(arry.length == 2){
        year = arry[0].trim();
        month = arry[1].trim();
        day = "01";
    }else if(arry.length == 3){
        year = arry[0].trim();
        month = arry[1].trim();
        day = arry[2].trim();
    }else{
        return dateString;
    }
    if(year.length == 0 || isNaN(year)) return dateString;
    if((month.length != 1 && month.length != 2) || isNaN(month)) return dateString;
    if((day.length != 1 && day.length != 2) || isNaN(month)) return dateString;
    if((month.length == 1)) month = "0" + month;
    if((day.length == 1)) day = "0" + day;
    return year + "/" + month + "/" + day;
}

function replaceHalfAngle(str){
    if (str == null) {
        return null;
    } else {
        return str.replace(/[Ａ-Ｚａ-ｚ０-９－．]/g, function(s) {
            return String.fromCharCode(s.charCodeAt(0) - 0xFEE0);
        });
    }
}

function changetoHalfAngle(id){
    $("#" + id).change(function(){
        this.value = replaceHalfAngle(this.value);
    })
}

function changeAllHalfAngle(){
    //郵便番号
    changetoHalfAngle("ekyc_zip_code");
    //電話番号
    changetoHalfAngle("ekyc_phone_number");
}

function setPlaceholderHome(){
    $("#ekyc_last_name").attr("placeholder","足利");
    $("#ekyc_first_name").attr("placeholder","太郎");
    $("#ekyc_last_name_kana").attr("placeholder","アシカガ");
    $("#ekyc_first_name_kana").attr("placeholder","タロウ");
    $("#ekyc_mail").attr("placeholder","xxxxx＠xxxxx.co.jp");
    $("#ekyc_zip_code").attr("placeholder","xxx-xxxx");
    $("#ekyc_phone_number").attr("placeholder","xxx-xxxx-xxxx");
    $("#ekyc_address1").attr("placeholder","都道府県名から入力願います");
    $("#ekyc_address2").attr("placeholder","番地、アパート名等を入力願います。");  
}

//生年月日から年齢計算
function caculateAge(strBirthday){       
    var returnAge;
    var strBirthdayArr=strBirthday.split("/");
    var birthYear = strBirthdayArr[0];
    var birthMonth = strBirthdayArr[1];
    var birthDay = strBirthdayArr[2];
    if (isNaN(birthYear) || isNaN(birthMonth) || isNaN(birthDay)) {
        return "";
    }
    if (birthYear == "" || birthMonth == "" || birthDay == "") {
        return "";
    }
    
    d = new Date();
    var nowYear = d.getFullYear();
    var nowMonth = d.getMonth() + 1;
    var nowDay = d.getDate();
    
    if(nowYear == birthYear){
        returnAge = 0;
    }
    else{
        var ageDiff = nowYear - birthYear ;
        if(ageDiff > 0){
            if(nowMonth == birthMonth) {
                var dayDiff = nowDay - birthDay;
                if(dayDiff < 0) {
                    returnAge = ageDiff - 1;
                } else {
                    returnAge = ageDiff ;
                }
            } else {
                var monthDiff = nowMonth - birthMonth;
                if(monthDiff < 0) {
                    returnAge = ageDiff - 1;
                } else {
                    returnAge = ageDiff ;
                }
            }
        } else {
            returnAge = "";
        }
    }
    
    return returnAge;
    
}

